Subject: RE: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Drew Adams <[email-masked]>
Date: Sat, 16 May 2020 23:59:11 -0700 (PDT)

> > This mode-line indication is not, primarily, about
> > showing you the current `ls' switches.  It's about
> > telling you whether files are sorted by name or time.
>
> Yeah, I completely understand, but as I wrote to Eli too, to me, dired
> buffer itself is an immidate visual feedback. I don't need addtional
> information on modeline to tell me if files are sorted alfabetically or
> by some other mean.

Some of us do need/want that aid.  And no,
it's not always obvious what the current order
is.

> So I prefer to save mode-line space for something
> else. It is just my personal preference, I have
> understanding that other people might have different taste.

Indeed; likewise.  And I'm in favor of making
it easy for different people to get different
behavior in this regard.

In general, user customization of the mode-line
is not simple.  When a mode like Dired can offer
useful info in the mode-line, in a few chars, it
should.  And when it can offer users easy ways
to change what's shown there and how, it should.

That doesn't mean that providing a few simple
choices and simple ways to choose will satisfy all
user desires in this department.  Fortunately ;-).